
Sidebar Content - Bug #2150

Wrong content for HTML code

08 Feb 2013 15:19 - Mathias K

Status: Closed Start date: 08 Feb 2013

Priority: Normal Due date: 07 Jul 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.1.1   

Redmine version: 2.2 External issue:  

Description

There is a problem with the output of HTML code in the sidebar. The HTML code is converted to text:

Original:

<br>Support us:<br><br>

HTML Output:

<br>Support us:<br><br>

The preview in the settings looks good but the final output is wrong.

History

#1 - 08 Feb 2013 15:21 - Mathias K

- File text2image_A21694_20130208_152040.jpg added

HTML Output as Image ...

#2 - 05 Mar 2013 12:20 - Alexander van der Mey

I can confirm this issue on Redmine 2.2.3. I briefly looked into the code, but I’m not familiar with Ruby at all. Previewing HTML works OK however, so

my guess is the call to the normal viewing rendering goes wrong somehow?

#3 - 18 Apr 2013 08:29 - Mathias K

I found a solution to fix this problem:

The line 15 in sidebar/app/helpers/sidebar_content_helper.rb:

content = sidebar.content

should be

content = sidebar.content.html_safe

This works with redmine 2.2.4.

Regards,

Mathias
#4 - 06 Jul 2013 22:26 - Andriy Lesyuk

- Due date set to 07 Jul 2013

- Status changed from New to In Progress

- Assignee set to Andriy Lesyuk

- Target version changed from 0.2.0 to 0.1.1

- % Done changed from 0 to 100

Thanks, Mathias K!

#5 - 06 Jul 2013 22:41 - Andriy Lesyuk

- Status changed from In Progress to Closed
